#ifndef NOISY_H
#define NOISY_H


#include "TObject.h"
#include "TSlider.h"
#include "Rtypes.h"

class TPad;

class Noisy : public TObject
{

public:
    Noisy(const char* name,
          const char* title,
          double xlow, double ylow, 
          double xhi, double yhi);
    ~Noisy();
    
//    void ApplyRange(void) { /* no-op */ }
    void SetTPad(TPad* p) { fPad = p; }
    void ExecuteEvent(int event, int px, int py);
private:
//    void UseRange(void) { /* no-op */ }
//    void ApplySlider(void) { /* no-op */ }


    TSlider fSlider;    
    TPad* fPad;
    
    ClassDef(Noisy,0)
};                              // end of class Noisy

#endif  // NOISY_H
